Package org.flowable.bpmn.model

# Class ServiceTask

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.Task
org.flowable.bpmn.model.TaskWithFieldExtensions
org.flowable.bpmn.model.ServiceTask

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

Direct Known Subclasses:
  `AlfrescoMailTask`, `AlfrescoScriptTask`, `CaseServiceTask`, `ExternalWorkerServiceTask`, `FormAwareServiceTask`, `HttpServiceTask`, `SendEventServiceTask`

public class ServiceTask extends TaskWithFieldExtensions

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CAMEL`
  `static final String`
  `CASE_TASK`
  `protected List<CustomProperty>`
  `customProperties`
  `static final String`
  `DMN_TASK`
  `protected String`
  `extensionId`
  `static final String`
  `EXTERNAL_WORKER_TASK`
  `static final String`
  `EXTERNAL_WORKER_TASK_LEGACY`
  `static final String`
  `HTTP_TASK`
  `protected String`
  `implementation`
  `protected String`
  `implementationType`
  `static final String`
  `MAIL_TASK`
  `protected String`
  `operationRef`
  `protected String`
  `resultVariableName`
  `static final String`
  `SEND_EVENT_TASK`
  `static final String`
  `SHELL_TASK`
  `protected String`
  `skipExpression`
  `protected boolean`
  `storeResultVariableAsTransient`
  `protected boolean`
  `triggerable`
  `protected String`
  `type`
  `protected boolean`
  `useLocalScopeForResultVariable`

  ### Fields inherited from class org.flowable.bpmn.model.TaskWithFieldExtensions

  `fieldExtensions`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ServiceTask`
  `clone()`
  `List<CustomProperty>`
  `getCustomProperties()`
  `String`
  `getExtensionId()`
  `String`
  `getImplementation()`
  `String`
  `getImplementationType()`
  `String`
  `getOperationRef()`
  `String`
  `getResultVariableName()`
  `String`
  `getSkipExpression()`
  `String`
  `getType()`
  `boolean`
  `isExtended()`
  `boolean`
  `isStoreResultVariableAsTransient()`
  `boolean`
  `isTriggerable()`
  `boolean`
  `isUseLocalScopeForResultVariable()`
  `void`
  `setCustomProperties(List<CustomProperty> customProperties)`
  `void`
  `setExtensionId(String extensionId)`
  `void`
  `setImplementation(String implementation)`
  `void`
  `setImplementationType(String implementationType)`
  `void`
  `setOperationRef(String operationRef)`
  `void`
  `setResultVariableName(String resultVariableName)`
  `void`
  `setSkipExpression(String skipExpression)`
  `void`
  `setStoreResultVariableAsTransient(boolean storeResultVariableAsTransient)`
  `void`
  `setTriggerable(boolean triggerable)`
  `void`
  `setType(String type)`
  `void`
  `setUseLocalScopeForResultVariable(boolean useLocalScopeForResultVariable)`
  `void`
  `setValues(ServiceTask otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.TaskWithFieldExtensions

  `getFieldExtensions, setFieldExtensions`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DMN_TASK

    public static final String DMN_TASK
    See Also:
      - Constant Field Values

  - ### MAIL_TASK

    public static final String MAIL_TASK
    See Also:
      - Constant Field Values

  - ### HTTP_TASK

    public static final String HTTP_TASK
    See Also:
      - Constant Field Values

  - ### SHELL_TASK

    public static final String SHELL_TASK
    See Also:
      - Constant Field Values

  - ### CASE_TASK

    public static final String CASE_TASK
    See Also:
      - Constant Field Values

  - ### SEND_EVENT_TASK

    public static final String SEND_EVENT_TASK
    See Also:
      - Constant Field Values

  - ### EXTERNAL_WORKER_TASK

    public static final String EXTERNAL_WORKER_TASK
    See Also:
      - Constant Field Values

  - ### EXTERNAL_WORKER_TASK_LEGACY

    public static final String EXTERNAL_WORKER_TASK_LEGACY
    See Also:
      - Constant Field Values

  - ### CAMEL

    public static final String CAMEL
    See Also:
      - Constant Field Values

  - ### implementation

    protected String implementation

  - ### implementationType

    protected String implementationType

  - ### resultVariableName

    protected String resultVariableName

  - ### type

    protected String type

  - ### operationRef

    protected String operationRef

  - ### extensionId

    protected String extensionId

  - ### customProperties

    protected List<CustomProperty> customProperties

  - ### skipExpression

    protected String skipExpression

  - ### useLocalScopeForResultVariable

    protected boolean useLocalScopeForResultVariable

  - ### triggerable

    protected boolean triggerable

  - ### storeResultVariableAsTransient

    protected boolean storeResultVariableAsTransient

- ## Constructor Details

  - ### ServiceTask

    public ServiceTask()

- ## Method Details

  - ### getImplementation

    public String getImplementation()

  - ### setImplementation

    public void setImplementation(String implementation)

  - ### getImplementationType

    public String getImplementationType()

  - ### setImplementationType

    public void setImplementationType(String implementationType)

  - ### getResultVariableName

    public String getResultVariableName()

  - ### setResultVariableName

    public void setResultVariableName(String resultVariableName)

  - ### getType

    public String getType()

  - ### setType

    public void setType(String type)

  - ### getCustomProperties

    public List<CustomProperty> getCustomProperties()

  - ### setCustomProperties

    public void setCustomProperties(List<CustomProperty> customProperties)

  - ### getOperationRef

    public String getOperationRef()

  - ### setOperationRef

    public void setOperationRef(String operationRef)

  - ### getExtensionId

    public String getExtensionId()

  - ### setExtensionId

    public void setExtensionId(String extensionId)

  - ### isExtended

    public boolean isExtended()

  - ### getSkipExpression

    public String getSkipExpression()

  - ### setSkipExpression

    public void setSkipExpression(String skipExpression)

  - ### isUseLocalScopeForResultVariable

    public boolean isUseLocalScopeForResultVariable()

  - ### setUseLocalScopeForResultVariable

    public void setUseLocalScopeForResultVariable(boolean useLocalScopeForResultVariable)

  - ### isTriggerable

    public boolean isTriggerable()

  - ### setTriggerable

    public void setTriggerable(boolean triggerable)

  - ### isStoreResultVariableAsTransient

    public boolean isStoreResultVariableAsTransient()

  - ### setStoreResultVariableAsTransient

    public void setStoreResultVariableAsTransient(boolean storeResultVariableAsTransient)

  - ### clone

    public ServiceTask clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### setValues

    public void setValues(ServiceTask otherElement)